Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Any_Impl Class Reference

Base class for the Any template subclasses. More...

`#include <Any_Impl.h>`

Inheritance diagram for TAO::Any_Impl:

[legend]
Collaboration diagram for TAO::Any_Impl:

[legend]
List of all members.

## Public Types
typedef void(* | _tao_destructor )(void *)
## Public Methods
CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual CORBA::Boolean | marshal_value (TAO_OutputCDR &)=0
virtual const void * | value (void) const
virtual void | free_value (void)
CORBA::TypeCode_ptr | type (void) const
CORBA::TypeCode_ptr | _tao_get_typecode (void) const
void | type (CORBA::TypeCode_ptr)
virtual ACE_Message_Block * | _tao_get_cdr (void) const
virtual int | _tao_byte_order (void) const
virtual void | _add_ref (void)
virtual void | _remove_ref (void)
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual void | assign_translator (CORBA::TypeCode_ptr, TAO_InputCDR *ACE_ENV_ARG_DECL)
virtual CORBA::Boolean | to_object (CORBA::Object_ptr &) const
virtual CORBA::Boolean | to_value (CORBA::ValueBase *&) const
virtual CORBA::Boolean | to_abstract_base (CORBA::AbstractBase_ptr &) const
## Static Public Methods
void | _tao_any_string_destructor (void *)
| Used to release these CORBA basic types.
void | _tao_any_wstring_destructor (void *)
## Protected Methods
| Any_Impl (_tao_destructor, CORBA::TypeCode_ptr)
virtual | ~Any_Impl (void)
## Protected Attributes
TAO::Any_Impl::_tao_destructor | value_destructor_
CORBA::TypeCode_ptr | type_
## Private Attributes
CORBA::ULong | refcount_
| Number of outstanding references to this object.

## Detailed Description

Base class for the Any template subclasses.

Contains common functionality and some pure virtual methods.

## Member Typedef Documentation

typedef void(* TAO::Any_Impl::_tao_destructor)(void *)

| Generated data types define a 'destructor' function that correctly destroys an object stored in an Any.

## Constructor & Destructor Documentation

TAO::Any_Impl::Any_Impl | ( | _tao_destructor | ,
|  | CORBA::TypeCode_ptr |
| ) | `[protected]`

TAO::Any_Impl::~Any_Impl | ( | void |  | ) | `[protected, virtual]`

## Member Function Documentation

void TAO::Any_Impl::_add_ref | ( | void |  | ) | `[virtual]`

void TAO::Any_Impl::_remove_ref | ( | void |  | ) | `[virtual]`

void TAO::Any_Impl::_tao_any_string_destructor | ( | void * |  | ) | `[static]`

| Used to release these CORBA basic types.

void TAO::Any_Impl::_tao_any_wstring_destructor | ( | void * |  | ) | `[static]`

int TAO::Any_Impl::_tao_byte_order | ( | void |  | ) | const`[virtual]`

| Reimplemented in TAO::Unknown_IDL_Type.

void TAO::Any_Impl::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Reimplemented in TAO::Any_Array_Impl_T< T_slice, T_forany >, TAO::Any_Basic_Impl, TAO::Any_Basic_Impl_T< T >, TAO::Any_Dual_Impl_T< T >, TAO::Any_Impl_T< T >, TAO::Any_Special_Impl_T< T, from_T, to_T >, and TAO::Unknown_IDL_Type.

ACE_Message_Block * TAO::Any_Impl::_tao_get_cdr | ( | void |  | ) | const`[virtual]`

| Reimplemented in TAO::Unknown_IDL_Type.

CORBA::TypeCode_ptr TAO::Any_Impl::_tao_get_typecode | ( | void |  | ) | const

void TAO::Any_Impl::assign_translator | ( | CORBA::TypeCode_ptr | ,
|  | TAO_InputCDR * | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented in TAO::Unknown_IDL_Type.

void TAO::Any_Impl::free_value | ( | void |  | ) | `[virtual]`

| Reimplemented in TAO::Any_Array_Impl_T< T_slice, T_forany >, TAO::Any_Dual_Impl_T< T >, TAO::Any_Impl_T< T >, TAO::Any_Special_Impl_T< T, from_T, to_T >, TAO::Any_SystemException, and TAO::Unknown_IDL_Type.

CORBA::Boolean TAO::Any_Impl::marshal | ( | TAO_OutputCDR & |  | ) |

virtual CORBA::Boolean TAO::Any_Impl::marshal_value | ( | TAO_OutputCDR & |  | ) | `[pure virtual]`

| Implemented in TAO::Any_Array_Impl_T< T_slice, T_forany >, TAO::Any_Basic_Impl, TAO::Any_Basic_Impl_T< T >, TAO::Any_Dual_Impl_T< T >, TAO::Any_Impl_T< T >, TAO::Any_Special_Impl_T< T, from_T, to_T >, TAO::Any_SystemException, and TAO::Unknown_IDL_Type.

CORBA::Boolean TAO::Any_Impl::to_abstract_base | ( | CORBA::AbstractBase_ptr & |  | ) | const`[virtual]`

| Reimplemented in TAO::Any_Impl_T< T >, and TAO::Unknown_IDL_Type.

CORBA::Boolean TAO::Any_Impl::to_object | ( | CORBA::Object_ptr & |  | ) | const`[virtual]`

| Reimplemented in TAO::Any_Impl_T< T >, and TAO::Unknown_IDL_Type.

CORBA::Boolean TAO::Any_Impl::to_value | ( | CORBA::ValueBase *& |  | ) | const`[virtual]`

| Reimplemented in TAO::Any_Impl_T< T >, and TAO::Unknown_IDL_Type.

void TAO::Any_Impl::type | ( | CORBA::TypeCode_ptr |  | ) |

CORBA::TypeCode_ptr TAO::Any_Impl::type | ( | void |  | ) | const

const void * TAO::Any_Impl::value | ( | void |  | ) | const`[virtual]`

| Reimplemented in TAO::Any_Array_Impl_T< T_slice, T_forany >, TAO::Any_Basic_Impl_T< T >, TAO::Any_Dual_Impl_T< T >, TAO::Any_Impl_T< T >, TAO::Any_Special_Impl_T< T, from_T, to_T >, TAO::Any_SystemException, and TAO::Unknown_IDL_Type.

## Member Data Documentation

CORBA::ULong TAO::Any_Impl::refcount_`[private]`

| Number of outstanding references to this object.

CORBA::TypeCode_ptr TAO::Any_Impl::type_`[protected]`

TAO::Any_Impl::_tao_destructor TAO::Any_Impl::value_destructor_`[protected]`

The documentation for this class was generated from the following files:

- Any_Impl.h
- Any_Impl.cpp